Bug 1449193 - RHV provider refresh fail on "undefined method `split' for nil:NilClass"
Summary: RHV provider refresh fail on "undefined method `split' for nil:NilClass"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.8.0
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev, provider refresh
Depends On: 1448690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 11:59 UTC by Satoe Imaishi
Modified: 2017-05-31 15:10 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1448690
Environment:
Last Closed: 2017-05-31 15:10:39 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-09 14:56:24 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/5dbf87a82402dd39449aa10778d170e4d2e6982c

commit 5dbf87a82402dd39449aa10778d170e4d2e6982c
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Mon May 8 21:15:52 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 9 10:45:54 2017 -0400

    Merge pull request #31 from masayag/fix_host_targeted_refresh
    
    Fix host targeted refresh
    (cherry picked from commit b375913fa371772dc505fad9c8761d189fedecc3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449193

 .../manageiq/providers/redhat/infra_manager/refresh/parse/parser.rb     | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Ilanit Stein 2017-05-11 15:40:41 UTC
Verified on CFME-5.8.0.14/RHV-4.1.1.8

Followed the flow in the description. Full refresh ended up successfully, and there was no such error, as mentioned in the description, in evm.log.

Comment 4 Moti Asayag 2017-05-11 16:09:47 UTC
(In reply to Ilanit Stein from comment #3)
> Verified on CFME-5.8.0.14/RHV-4.1.1.8
> 
> Followed the flow in the description. Full refresh ended up successfully,
> and there was no such error, as mentioned in the description, in evm.log.

Ilanit, Could you confirm also host targeted refresh ends successfully ?

Comment 5 Ilanit Stein 2017-05-11 16:17:34 UTC
Before doing the full refresh,
I did Host refresh for the source host, 
in order to see if the number of VMs is indeed decreased.
After I waited a min or two for the VM number to be decreased, 
I run refresh for that host, and refreshed the Host page in the browser.
All the relationships turned into 0 contents, and after few seconds the relationship values were correct, including the number of VMs.

The I did the full refresh, which ended up successful.

Comment 7 errata-xmlrpc 2017-05-31 15:10:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.